Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.util
Class ECPFileDialogHelperImpl

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.util.ECPFileDialogHelperImpl

All Implemented Interfaces:
  ECPFileDialogHelper

    public class ECPFileDialogHelperImpl

extends Object
implements ECPFileDialogHelper

`ECPFileDialogHelper` using the SWT implementation of the `FileDialog`.

Author:
  jfaltermeier

Constructor Summary
`ECPFileDialogHelperImpl()`

Method Summary
`String` | `getPathForExport(org.eclipse.swt.widgets.Shell shell, String fileName)` Returns the file path to export a model element to.
`String` | `getPathForImport(org.eclipse.swt.widgets.Shell shell)` Returns the absolute file path of the file selected by the user.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPFileDialogHelperImpl

    public ECPFileDialogHelperImpl()

Method Detail

### getPathForImport

    public String getPathForImport(org.eclipse.swt.widgets.Shell shell)

  Returns the absolute file path of the file selected by the user.

  Specified by:
    `getPathForImport` in interface `ECPFileDialogHelper`
  Parameters:
    `shell` - The shell to open the `FileDialog`
  Returns:
    the absolute filename or `null` if no file was selected
  See Also:
    `ECPFileDialogHelper.getPathForImport(org.eclipse.swt.widgets.Shell)`

### getPathForExport

    public String getPathForExport(org.eclipse.swt.widgets.Shell shell,
                                   String fileName)

  Returns the file path to export a model element to.

  Specified by:
    `getPathForExport` in interface `ECPFileDialogHelper`
  Parameters:
    `shell` - The shell to open the `FileDialog`
    `fileName` - a proposed filename for the export
  Returns:
    the file path
  See Also:
    `ECPFileDialogHelper.getPathForExport(org.eclipse.swt.widgets.Shell, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.